Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 10-11-09, 02:53 AM   #1
karlsinn
Registered User
 
Join Date: Oct 2009
Posts: 5
Default x86-71.86.11 fails on openSuse 11.2 MS8 (GeForce2 ti)

Hi,

I have the following problem, and I was advised on the opensuse-factory list to post the bug here.

I have openSuse 11.2 MS8 installed, and tried to use this version of the NVIDIA driver:
NVIDIA-Linux-x86-71.86.11-pkg1.run

The module builds well and also loads with manual "modprobe nvidia", but sax2 brings me the following error message:

10-Oct 16:44:01 <X> Logging File contents: /var/log/xlog [
> (II) config/hal: initialized
> X.Org X Server 1.6.4
> [...]
> (II) NVIDIA GLX Module 71.86.11 Thu Jun 25 18:39:46 PDT 2009
> [...]
> (II) LoadModule: "nvidia"
> (II) Loading /usr/lib/xorg/modules//drivers/nvidia_drv.so
> dlopen: /usr/lib/xorg/modules//drivers/nvidia_drv.so: undefined
> symbol:
> AllocateScreenPrivateIndex
> (EE) Failed to load /usr/lib/xorg/modules//drivers/nvidia_drv.so

I was told it's because of recent changes to xorg-server.

I attach the output of `nvidia-bug-report.sh`

I didn't do `startx -- -logverbose 6` before, because I can't get the X system running with the nvidia driver.

Thanks
Karl
Attached Files
File Type: gz nvidia-bug-report.log.gz (35.6 KB, 71 views)
File Type: log nvidia-installer.log (48.2 KB, 67 views)
karlsinn is offline   Reply With Quote
Old 10-11-09, 03:58 AM   #2
AaronP
NVIDIA Corporation
 
AaronP's Avatar
 
Join Date: Mar 2005
Posts: 2,487
Default Re: x86-71.86.11 fails on openSuse 11.2 MS8 (GeForce2 ti)

The 71.86.11 driver does not support the X server you're using. Please use xserver 1.4.* or older.
AaronP is offline   Reply With Quote
Old 10-11-09, 04:10 AM   #3
karlsinn
Registered User
 
Join Date: Oct 2009
Posts: 5
Default Re: x86-71.86.11 fails on openSuse 11.2 MS8 (GeForce2 ti)

Quote:
Originally Posted by AaronP View Post
The 71.86.11 driver does not support the X server you're using. Please use xserver 1.4.* or older.
Will this be fixed?

I have another question, when I go to the nvidia website and I try to find the latest version of the driver to my card, where do I have to click to find it?
When I have to choose the card in the dropdown boxes to access the driver, I don't know what to put in there :-)

Thanks for your help,

Karl
karlsinn is offline   Reply With Quote
Old 10-11-09, 02:01 PM   #4
AaronP
NVIDIA Corporation
 
AaronP's Avatar
 
Join Date: Mar 2005
Posts: 2,487
Default Re: x86-71.86.11 fails on openSuse 11.2 MS8 (GeForce2 ti)

Quote:
Originally Posted by karlsinn View Post
Will this be fixed?
We currently do not have plans to backport this support to the 71.86.* legacy driver series.

Quote:
Originally Posted by karlsinn View Post
I have another question, when I go to the nvidia website and I try to find the latest version of the driver to my card, where do I have to click to find it?
When I have to choose the card in the dropdown boxes to access the driver, I don't know what to put in there :-)
Attached Thumbnails
Click image for larger version

Name:	Screenshot.png
Views:	76
Size:	22.0 KB
ID:	38408  
AaronP is offline   Reply With Quote
Old 10-11-09, 03:01 PM   #5
karlsinn
Registered User
 
Join Date: Oct 2009
Posts: 5
Default Re: x86-71.86.11 fails on openSuse 11.2 MS8 (GeForce2 ti)

Quote:
Originally Posted by AaronP View Post
We currently do not have plans to backport this support to the 71.86.* legacy driver series.
To bad. What would be a condition for you to decide to do it?

I went to the nvidia page again with your help, I put the Information from the picture. Only difference is I choose Linux 32 and I came to this driver:

NVIDIA-Linux-x86-100.14.11-pkg1.run

Would this Version solve my problem?
karlsinn is offline   Reply With Quote
Old 10-11-09, 03:28 PM   #6
AaronP
NVIDIA Corporation
 
AaronP's Avatar
 
Join Date: Mar 2005
Posts: 2,487
Default Re: x86-71.86.11 fails on openSuse 11.2 MS8 (GeForce2 ti)

Quote:
Originally Posted by karlsinn View Post
To bad. What would be a condition for you to decide to do it?

I went to the nvidia page again with your help, I put the Information from the picture. Only difference is I choose Linux 32 and I came to this driver:

NVIDIA-Linux-x86-100.14.11-pkg1.run

Would this Version solve my problem?
Wow, really? When I do that I get 71.86.11, which is the latest driver that supports the GeForce 2 Ti. 100.14.11 definitely wouldn't work. Can you please paste the output of "host www.nvidia.com"?
AaronP is offline   Reply With Quote
Old 10-11-09, 04:25 PM   #7
karlsinn
Registered User
 
Join Date: Oct 2009
Posts: 5
Default Re: x86-71.86.11 fails on openSuse 11.2 MS8 (GeForce2 ti)

Quote:
Originally Posted by AaronP View Post
Can you please paste the output of "host www.nvidia.com"?
host www.nvidia.com
www.nvidia.com is an alias for www.nvidia.com.edgesuite.net.
www.nvidia.com.edgesuite.net is an alias for a1650.g.akamai.net.
a1650.g.akamai.net has address 62.41.85.49
a1650.g.akamai.net has address 62.41.85.72
karlsinn is offline   Reply With Quote
Old 10-12-09, 08:30 AM   #8
shadowhawk_cgb
Registered User
 
Join Date: Aug 2009
Posts: 5
Default Re: x86-71.86.11 fails on openSuse 11.2 MS8 (GeForce2 ti)

Hi,

I can confirm with the search options provided I get for 32bit
NVIDIA-Linux-x86-100.14.11-pkg1.run
and 64bit
NVIDIA-Linux-x86_64-100.14.19-pkg2.run

and

host www.nvidia.com
provides:
www.nvidia.com is an alias for www.nvidia.com.edgesuite.net.
www.nvidia.com.edgesuite.net is an alias for a1650.g.akamai.net.
a1650.g.akamai.net has address 92.123.68.43
a1650.g.akamai.net has address 92.123.68.72
shadowhawk_cgb is offline   Reply With Quote

Old 10-12-09, 10:28 AM   #9
kriko
openSuSE11
 
kriko's Avatar
 
Join Date: Aug 2005
Location: Europe, Slovenia, Koper
Posts: 515
Default Re: x86-71.86.11 fails on openSuse 11.2 MS8 (GeForce2 ti)

@karlsinn: try the nouveau drivers, is already packaged in opensuse.
It brought my gf2 mx 440 to life under kde4.
kriko is offline   Reply With Quote
Old 10-12-09, 10:33 AM   #10
karlsinn
Registered User
 
Join Date: Oct 2009
Posts: 5
Default Re: x86-71.86.11 fails on openSuse 11.2 MS8 (GeForce2 ti)

Quote:
Originally Posted by kriko View Post
@karlsinn: try the nouveau drivers, is already packaged in opensuse.
It brought my gf2 mx 440 to life under kde4.
Hi, are they doing anything better then the nv driver?
My system works with them.

How to install them?

Thanks
Karl
karlsinn is offline   Reply With Quote
Old 10-12-09, 10:45 AM   #11
kriko
openSuSE11
 
kriko's Avatar
 
Join Date: Aug 2005
Location: Europe, Slovenia, Koper
Posts: 515
Default Re: x86-71.86.11 fails on openSuse 11.2 MS8 (GeForce2 ti)

If those works, then you don't need to do anything.
I had a very laggy experience in kde4 and nouveau cured it.
kriko is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 06:57 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.